curl --request POST \
--url https://api.procuros.io/v2/errors \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"errorReason": "<string>",
"errorContext": {},
"transactionIdentifier": "IV-0001"
}
'import requests
url = "https://api.procuros.io/v2/errors"
payload = {
"errorReason": "<string>",
"errorContext": {},
"transactionIdentifier": "IV-0001"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({errorReason: '<string>', errorContext: {}, transactionIdentifier: 'IV-0001'})
};
fetch('https://api.procuros.io/v2/errors', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"message": "OK.",
"errorUrl": "https://portal.procuros.io/.../errors/{{procurosErrorId}}"
}{
"message": "<string>",
"errors": {}
}{
"message": "<string>"
}{
"message": "<string>"
}Report Outgoing Error
If you encounter an error while building an outgoing transaction payload, you can report it here. The error will enter the same exception handling process as an error reported while processing incoming transactions.
Authorizations
The API Token of your ERP Connection.
Body
The reason for the error.
The type of the error. DATA indicates that the error is caused by invalid or insufficient data and can be resolved by a user. INTERNAL indicates a system-level error that cannot be fixed by a user.
DATA, INTERNAL Additional context/meta data for the error.
Show child attributes
Show child attributes
Provide if error can be assigned to a specific outgoing transaction. Depending on the transactionType: Order number, Invoice number, etc.
"IV-0001"
Provide if error can be assigned to a specific outgoing transaction.
ORDER, ORDER_RESPONSE, SHIPPING_NOTICE, INVOICE, CREDIT_NOTE, DISPATCH_INSTRUCTION, DISPATCH_INSTRUCTION_RESPONSE, RECEIVAL_NOTICE, REMITTANCE_ADVICE, PRODUCT_CATALOG, INVENTORY_REPORT, SALES_REPORT Was this page helpful?